using Exam.Infrastructure.Data.Interface;
using Exam.Infrastructure.Extensions;
using Hotline.Share.Enums.Exams;
using System.ComponentModel;

namespace Exam.Share.ViewResponses.Exam
{
    public class GradingViewResponse:IViewResponse
    {
        /// <summary>
        /// 考试标题
        /// </summary>
        [Description("考试标题")]
        public string Name { get; set; }

        /// <summary>
        /// 考试编号
        /// </summary>
        [Description("考试编号")]
        public string Code { get; set; }


        /// <summary>
        /// 备注
        /// </summary>
        [Description("备注")]
        public string Remark { get; set; }

        /// <summary>
        /// 总分
        /// </summary>
        [Description("总分")]
        public int TotalScore { get; set; }

        /// <summary>
        /// 分数线
        /// </summary>
        [Description("分数线")]
        public int CutoffScore { get; set; }

        /// <summary>
        /// 是否已阅卷
        /// </summary>
        [Description("是否已阅卷")]
        public EGrading IsCheck { get; set; }

        /// <summary>
        /// 是否已阅卷
        /// </summary>
        [Description("是否已阅卷")]
        public string IsCheckDes { 
            get {
                return IsCheck.GetDescription();
            } 
        }

        /// <summary>
        /// 状态
        /// </summary>
        [Description("状态")]
        public int Status { get; set; }

        /// <summary>
        /// 排序
        /// </summary>
        [Description("排序")]
        public int SortIndex { get; set; }

        /// <summary>
        /// 主键
        /// </summary>
        [Description("主键")]

        public string Id { get; set; }
    }
}
